CVE-2004-0977
CVSS2.1
发布时间 :2005-02-09 00:00:00
修订时间 :2016-10-17 22:50:22
NMCO    

[原文]The make_oidjoins_check script in PostgreSQL 7.4.5 and earlier allows local users to overwrite files via a symlink attack on temporary files.


[CNNVD]PostgreSQL不安全临时文件创建漏洞(CNNVD-200502-034)

        PostgreSQL 是一个自由的对象-关系数据库服务器(数据库管理系统)。
        PostgreSQL 7.4.5及更早版本中的make_oidjoins_check脚本,可让本地用户通过象征性的链接攻击临时文件,从而覆盖这些文件。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:mandrakesoft:mandrake_linux:10.1::x86_64
cpe:/o:redhat:enterprise_linux:3.0::advanced_server
cpe:/o:redhat:enterprise_linux:3.0::enterprise_server
cpe:/o:mandrakesoft:mandrake_linux_corporate_server:2.1MandrakeSoft Mandrake Linux Corporate Server 2.1
cpe:/a:postgresql:postgresql:7.2.1
cpe:/o:mandrakesoft:mandrake_linux:10.0::amd64
cpe:/a:postgresql:postgresql:7.4.3PostgreSQL PostgreSQL 7.4.3
cpe:/o:trustix:secure_linux:2.1Trustix Secure Linux 2.1
cpe:/o:mandrakesoft:mandrake_linux:9.2MandrakeSoft Mandrake Linux 9.2
cpe:/o:trustix:secure_linux:2.0Trustix Secure Linux 2.0
cpe:/o:mandrakesoft:mandrake_linux:9.2::amd64
cpe:/a:postgresql:postgresql:7.4.5PostgreSQL PostgreSQL 7.4.5
cpe:/o:redhat:enterprise_linux:3.0::workstation_server
cpe:/o:mandrakesoft:mandrake_linux:10.1MandrakeSoft Mandrake Linux 10.1
cpe:/o:redhat:enterprise_linux_desktop:3.0Red Hat Desktop 3.0
cpe:/o:mandrakesoft:mandrake_linux:10.0MandrakeSoft Mandrake Linux 10.0
cpe:/o:mandrakesoft:mandrake_linux_corporate_server:2.1::x86_64

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:11360The make_oidjoins_check script in PostgreSQL 7.4.5 and earlier allows local users to overwrite files via a symlink attack on temporary files...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0977
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0977
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200502-034
(官方数据源) CNNVD

- 其它链接及资源

http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136300
(UNKNOWN)  CONFIRM  http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136300
http://marc.info/?l=bugtraq&m=109902101714725&w=2
(UNKNOWN)  UBUNTU  USN-6-1
http://marc.info/?l=bugtraq&m=109910073808903&w=2
(UNKNOWN)  OPENPKG  OpenPKG-SA-2004.046
http://security.gentoo.org/glsa/glsa-200410-16.xml
(UNKNOWN)  GENTOO  GLSA-200410-16
http://www.debian.org/security/2004/dsa-577
(VENDOR_ADVISORY)  DEBIAN  DSA-577
http://www.mandriva.com/security/advisories?name=MDKSA-2004:149
(UNKNOWN)  MANDRAKE  MDKSA-2004:149
http://www.redhat.com/support/errata/RHSA-2004-489.html
(UNKNOWN)  REDHAT  RHSA-2004:489
http://www.securityfocus.com/bid/11295
(VENDOR_ADVISORY)  BID  11295
http://www.trustix.org/errata/2004/0050
(UNKNOWN)  TRUSTIX  2004-0050
http://xforce.iss.net/xforce/xfdb/17583
(VENDOR_ADVISORY)  XF  script-temporary-file-overwrite(17583)

- 漏洞信息

PostgreSQL不安全临时文件创建漏洞
低危 设计错误
2005-02-09 00:00:00 2005-10-20 00:00:00
本地  
        PostgreSQL 是一个自由的对象-关系数据库服务器(数据库管理系统)。
        PostgreSQL 7.4.5及更早版本中的make_oidjoins_check脚本,可让本地用户通过象征性的链接攻击临时文件,从而覆盖这些文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        SGI ProPack 3.0
        SGI patch10131.tar.gz
        ftp://patches.sgi.com/support/free/security/patches/ProPack/3/patch101 31.tar.gz
        PostgreSQL PostgreSQL 7.2.1
        Debian libecpg3_7.2.1-2woody6_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_alpha.deb
        Debian libecpg3_7.2.1-2woody6_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_arm.deb
        Debian libecpg3_7.2.1-2woody6_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_hppa.deb
        Debian libecpg3_7.2.1-2woody6_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_i386.deb
        Debian libecpg3_7.2.1-2woody6_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_ia64.deb
        Debian libecpg3_7.2.1-2woody6_m68k.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_m68k.deb
        Debian libecpg3_7.2.1-2woody6_mips.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_mips.deb
        Debian libecpg3_7.2.1-2woody6_mipsel.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_mipsel.deb
        Debian libecpg3_7.2.1-2woody6_powerpc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_powerpc.deb
        Debian libecpg3_7.2.1-2woody6_s390.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_s390.deb
        Debian libecpg3_7.2.1-2woody6_sparc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2 .1-2woody6_sparc.deb
        Debian libpgperl_7.2.1-2woody6_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_alpha.deb
        Debian libpgperl_7.2.1-2woody6_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_arm.deb
        Debian libpgperl_7.2.1-2woody6_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_hppa.deb
        Debian libpgperl_7.2.1-2woody6_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_i386.deb
        Debian libpgperl_7.2.1-2woody6_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_ia64.deb
        Debian libpgperl_7.2.1-2woody6_m68k.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_m68k.deb
        Debian libpgperl_7.2.1-2woody6_mips.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_mips.deb
        Debian libpgperl_7.2.1-2woody6_mipsel.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_mipsel.deb
        Debian libpgperl_7.2.1-2woody6_powerpc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_powerpc.deb
        Debian libpgperl_7.2.1-2woody6_s390.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_s390.deb
        Debian libpgperl_7.2.1-2woody6_sparc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7. 2.1-2woody6_sparc.deb
        Debian libpgsql2_7.2.1-2woody6_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7. 2.1-2woody6_alpha.deb
        Debian libpgsql2_7.2.1-2woody6_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7. 2.1-2woody6_arm.deb
        Debian libpgsql2_7.2.1-2woody6_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7. 2.1-2woody6_hppa.deb
        Debian libpgsql2_7.2.1-2woody6_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7. 2.1-2woody6_i386.deb
        Debian libpgsql2_7.2.1-2woody6_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7. 2.1-2woody6_ia64.deb
        

- 漏洞信息

10941
PostgreSQL make_oidjoins_check Arbitrary File Overwrite
Local Access Required Input Manipulation, Race Condition
Loss of Integrity
Exploit Public

- 漏洞描述

PostgreSQL contains a flaw that may allow a malicious user to overwrite files. The issue is triggered due to the "make_oidjoins_check" script creating temporary files insecurely. It is possible that the flaw may allow a malicious user to overwrite another user's files, resulting in a loss of integrity.

- 时间线

2004-10-18 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站